﻿    
 

@echo off

REM -------------------------------------------------
REM Location of sqlcmd utility (change if necessary)
REM -------------------------------------------------

set sqlcmdexe="C:\Program Files\Microsoft SQL Server\90\Tools\Binn\SQLCMD.EXE"

if not exist %sqlcmdexe% goto sqlcmdnotfound

REM -------------------------------------------------
REM EAM database credentials (change if necessary)
REM -------------------------------------------------

REM Usually this is EAM
set dbname=NOTSET
set server=NOTSET

if %dbname%==NOTSET goto dbcredentialsnotset
if %server%==NOTSET goto dbcredentialsnotset

REM -------------------------------------------------
REM Language code needed for R5BOILERTEXTS.BOT_LANG (e.g. EN)
REM -------------------------------------------------
set languagecode=NOTSET

if %languagecode%==NOTSET goto languagecodenotset


echo ----------------------------------
echo Deploying .\CustomDataSpies\BSAUTH_HDR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\BSAUTH_HDR.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\BSDEVS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\BSDEVS.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\BSGROU_SSC.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\BSGROU_SSC.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\BSUSER_UOG.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\BSUSER_UOG.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVFLCC.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVFLCC.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVFLPERS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVFLPERS.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVIRACT.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVIRACT.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVIREVNT.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVIREVNT.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVIRMATL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVIRMATL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVIROBJ.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVIROBJ.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVISSUEPICKLIST.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVISSUEPICKLIST.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVMANUPART.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVMANUPART.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVPARTRETURNWO.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVPARTRETURNWO.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVRECPTPARTS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVRECPTPARTS.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVREFNUM_RETN.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVREFNUM_RETN.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVRETURNREASON.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVRETURNREASON.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\LVSTOSACTREQ.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\LVSTOSACTREQ.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSBINL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSBINL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSIUSS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSIUSS.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSIUSS_TRL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSIUSS_TRL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSPART.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSPART.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSPART_BIS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSPART_BIS.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSPICK_PAR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSPICK_PAR.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSPINV.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSPINV.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSPINV_PAR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSPINV_PAR.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSRECV.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSRECV.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSRECV_XDL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSRECV_XDL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSRETN_TRL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSRETN_TRL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSRQSS_RQL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSRQSS_RQL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSSTOR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSSTOR.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSSTSR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSSTSR.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\SSSTSR_TRL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\SSSTSR_TRL.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\WSEMPS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\WSEMPS.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\WSFLTK.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\WSFLTK.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\WSJOBS_PAR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\WSJOBS_PAR.sql
pause


echo ----------------------------------
echo Deploying .\CustomDataSpies\WSMATL_PAR.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomDataSpies\WSMATL_PAR.sql
pause


echo ----------------------------------
echo Deploying .\CustomGrids\AUI001.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomGrids\AUI001.sql
pause


echo ----------------------------------
echo Deploying .\CustomGrids\SSCLAS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomGrids\SSCLAS.sql
pause


echo ----------------------------------
echo Deploying .\CustomGrids\SSRECV_XDL.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomGrids\SSRECV_XDL.sql
pause


echo ----------------------------------
echo Deploying .\CustomGrids\WUDSPY.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomGrids\WUDSPY.sql
pause


echo ----------------------------------
echo Deploying .\CustomGrids\WUJOBS.sql...
echo ----------------------------------
%sqlcmdexe% -p -E -S%server% -d%dbname% -v languagecode="%languagecode%" -i.\.\CustomGrids\WUJOBS.sql
pause


echo ----------------------------------
echo DONE!
echo ----------------------------------
pause
exit

:sqlcmdnotfound
echo SQLCMD executable "%sqlplusexe%" not found.
echo Please update this script and set the variable sqlcmdexe to the location of the SQL Server SQLCMD.exe utility.
pause
exit

:dbcredentialsnotset
echo Please update this script and set the dbname and server variables to your appropriate EAM database name.
pause
exit

:languagecodenotset
echo Please update this script and set the languagecode variable to the appropriate language code (e.g. EN)
pause
exit
